# Gst::Volume Class Reference
[gstreamermm Plugins]

A Wrapper for the volume plugin. More...

Inherits Gst::AudioFilter, Gst::Interface, Gst::Mixer, and Gst::StreamVolume.

Collaboration diagram for Gst::Volume:
[legend]

List of all members.

## Public Member Functions

virtual | ~Volume ()
GstVolume* | gobj ()
| Provides access to the underlying C GObject.
const GstVolume* | gobj () const
| Provides access to the underlying C GObject.
GstVolume* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< bool > | property_mute ()
| mute channel.
Glib::PropertyProxy_ReadOnly < bool > | property_mute () const
| mute channel.
Glib::PropertyProxy< double > | property_volume ()
| volume factor, 1.0=100%.
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| volume factor, 1.0=100%.

## Static Public Member Functions

static Glib::RefPtr< Volume > | create ()
| Creates a new volume plugin with a unique name.
static Glib::RefPtr< Volume > | create (const Glib::ustring& name)
| Creates a new volume plugin with the given name.

## Protected Member Functions

| Volume ()
| Volume (const Glib::ustring& name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::Volume > | wrap (GstVolume* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the volume plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Volume::~Volume | ( |  | ) | `[virtual]`

Gst::Volume::Volume | ( |  | ) | `[protected]`

Gst::Volume::Volume | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Volume> Gst::Volume::create | ( |  | ) | `[static]`

Creates a new volume plugin with a unique name.

static Glib::RefPtr<Volume> Gst::Volume::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new volume plugin with the given name.

const GstVolume* Gst::Volume::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::StreamVolume.

GstVolume* Gst::Volume::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::StreamVolume.

GstVolume* Gst::Volume::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<bool> Gst::Volume::property_mute | ( |  | ) | const

mute channel.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::PropertyProxy<bool> Gst::Volume::property_mute | ( |  | ) |

mute channel.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::PropertyProxy_ReadOnly<double> Gst::Volume::property_volume | ( |  | ) | const

volume factor, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

Glib::PropertyProxy<double> Gst::Volume::property_volume | ( |  | ) |

volume factor, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gst::StreamVolume.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Volume > wrap | ( | GstVolume * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/volume.h